<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Science and Engineering</title>
  </head>
  <body>
    <p><em>Science and Engineering(2001)7, 231-238</em></p>
    <hr />
    <br />

    <h1>Software Engineering Code of Ethics and Professional Practice</h1>
    <br />
    <h2>
      IEEE-CS/ACM Joint Task Force on Software Engineering Ethics nad
      Professional Practices
    </h2>
    <hr />

    <br />
    <br />

    <p>
      <strong>Keywords:</strong> code of ethics, professional responsibility,
      software engineering
    </p>

    <br />

    <h2>PREAMBLE</h2>

    <br />

    <p>
      The short version of the code summarizes aspirations at a high level of
      the abstraction; the clauses that are included in the full version give
      examples and details of how these aspirations change the way we act as
      software engineering professionals. Without the aspirations, the details
      can become legalistic and tedious; without the details, the aspirations
      can become high sounding but empty; together, the aspirations and the
      details form a cohesive code.
    </p>

    <br />
    <br />

    <p>
      Software engineers shall commit themselves to making the analysis,
      specification, design, development, testing and maintenance of software a
      beneficial and respected profession. In accordance with their commitment
      to the health, safety and welfare of the public, software engineers shall
      adhere to the following Eight Principles:
    </p>

    <h3>PRINCIPLES:</h3>

    <ol>
      <li>
        <em>PUBLIC.</em> Software engineers shall act consistently with the
        public interest.
      </li>
      <li>
        <em>AND EMPLOYER.</em>Software engineers shall act in a manner that is
        in the best interests of their client and employer consistent with the
        public interest.
      </li>
      <li>
        <em>PRODUCT</em> Software engineers shall ensure that their products and
        related modifications meet the highest professional standards possible.
      </li>
      <li>
        <em> JUDGMENT.</em> Software engineers shall maintain integrity and
        independence in their professional judgment.
      </li>
      <li>
        <em>MANAGEMENT.</em>Software engineering managers and leaders shall
        subscribe to and promote an ethical approach to the management of
        software development and maintenance.
      </li>
      <li>
        <em> PROFESSION.</em> Software engineers shall advance the integrity and
        reputation of the profession consistent with the public interest
      </li>
      <li>
        <em>COLLEAGUES.</em> Software engineers shall be fair to and supportive
        of their colleagues.
      </li>
      <li>
        <em>SELF.</em> Software engineers shall participate in lifelong learning
        regarding the practice of their profession and shall promote an ethical
        approach to the practice of the profession.
      </li>
    </ol>
  </body>
</html>
